Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gudusoft.gsqlparser
Enum EAlterTableOptionType

    java.lang.Object
      java.lang.Enum<EAlterTableOptionType>
          gudusoft.gsqlparser.EAlterTableOptionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EAlterTableOptionType>

    public enum EAlterTableOptionType

extends java.lang.Enum<EAlterTableOptionType>

Enum Constant Summary
`AddColumn`
`AddConstraint`
`AddConstraintFK`
`AddConstraintIndex`
`AddConstraintPK`
`AddConstraintUnique`
`AlterColumn`
`AlterConstraintCheck`
`AlterConstraintFK`
`ChangeColumn`
`CheckConstraint`
`Db2Misc`
`Db2PartitioningKeyDef`
`Db2RestrictOnDrop`
`DropColumn`
`DropColumnsContinue`
`DropConstraint`
`DropConstraintCheck`
`DropConstraintFK`
`DropConstraintIndex`
`DropConstraintKey`
`DropConstraintPartitioningKey`
`DropConstraintPK`
`DropConstraintRestrict`
`DropConstraintUnique`
`DropUnUsedColumn`
`ModifyColumn`
`ModifyConstraint`
`MssqlEnableTrigger`
`MySQLTableOptons`
`OraclePhysicalAttrs`
`OracleTableP`
`RenameColumn`
`RenameConstraint`
`RenameTable`
`SetUnUsedColumn`
`toOracleLogClause`
`Unknown`

Method Summary
`static EAlterTableOptionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EAlterTableOptionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Unknown

    public static final EAlterTableOptionType Unknown

### AddColumn

    public static final EAlterTableOptionType AddColumn

### ModifyColumn

    public static final EAlterTableOptionType ModifyColumn

### AlterColumn

    public static final EAlterTableOptionType AlterColumn

### DropColumn

    public static final EAlterTableOptionType DropColumn

### SetUnUsedColumn

    public static final EAlterTableOptionType SetUnUsedColumn

### DropUnUsedColumn

    public static final EAlterTableOptionType DropUnUsedColumn

### DropColumnsContinue

    public static final EAlterTableOptionType DropColumnsContinue

### RenameColumn

    public static final EAlterTableOptionType RenameColumn

### ChangeColumn

    public static final EAlterTableOptionType ChangeColumn

### RenameTable

    public static final EAlterTableOptionType RenameTable

### AddConstraint

    public static final EAlterTableOptionType AddConstraint

### AddConstraintIndex

    public static final EAlterTableOptionType AddConstraintIndex

### AddConstraintPK

    public static final EAlterTableOptionType AddConstraintPK

### AddConstraintUnique

    public static final EAlterTableOptionType AddConstraintUnique

### AddConstraintFK

    public static final EAlterTableOptionType AddConstraintFK

### ModifyConstraint

    public static final EAlterTableOptionType ModifyConstraint

### RenameConstraint

    public static final EAlterTableOptionType RenameConstraint

### DropConstraint

    public static final EAlterTableOptionType DropConstraint

### DropConstraintPK

    public static final EAlterTableOptionType DropConstraintPK

### DropConstraintFK

    public static final EAlterTableOptionType DropConstraintFK

### DropConstraintUnique

    public static final EAlterTableOptionType DropConstraintUnique

### DropConstraintCheck

    public static final EAlterTableOptionType DropConstraintCheck

### DropConstraintPartitioningKey

    public static final EAlterTableOptionType DropConstraintPartitioningKey

### DropConstraintRestrict

    public static final EAlterTableOptionType DropConstraintRestrict

### DropConstraintIndex

    public static final EAlterTableOptionType DropConstraintIndex

### DropConstraintKey

    public static final EAlterTableOptionType DropConstraintKey

### AlterConstraintFK

    public static final EAlterTableOptionType AlterConstraintFK

### AlterConstraintCheck

    public static final EAlterTableOptionType AlterConstraintCheck

### CheckConstraint

    public static final EAlterTableOptionType CheckConstraint

### OraclePhysicalAttrs

    public static final EAlterTableOptionType OraclePhysicalAttrs

### toOracleLogClause

    public static final EAlterTableOptionType toOracleLogClause

### OracleTableP

    public static final EAlterTableOptionType OracleTableP

### MssqlEnableTrigger

    public static final EAlterTableOptionType MssqlEnableTrigger

### MySQLTableOptons

    public static final EAlterTableOptionType MySQLTableOptons

### Db2PartitioningKeyDef

    public static final EAlterTableOptionType Db2PartitioningKeyDef

### Db2RestrictOnDrop

    public static final EAlterTableOptionType Db2RestrictOnDrop

### Db2Misc

    public static final EAlterTableOptionType Db2Misc

Method Detail

### values

    public static final EAlterTableOptionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EAlterTableOptionType c : EAlterTableOptionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EAlterTableOptionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD